com.fasterxml.jackson.databind.annotation

## Annotation Type JsonValueInstantiator

    @Target(value={ANNOTATION_TYPE,TYPE})
     @Retention(value=RUNTIME)
    public @interface JsonValueInstantiator

Annotation that can be used to indicate a `ValueInstantiator` to use for creating instances of specified type.

### Required Element Summary

Required Elements
`Class<? extends ValueInstantiator>` `value`

### Element Detail

#### value

    public abstract Class<? extends ValueInstantiator> value

Returns:
  `ValueInstantiator` to use for annotated type